



            <div class="col s12 m12 l12">
                <div id="Form-advance" class="card card card-default scrollspy">
                  <div class="card-content" style="margin-right: 100px;margin-left: 100px;">
                    <h4 class="card-title">Mon Compte</h4>
                    <form #f="ngForm" (ngSubmit)="updateAgence(f.value)" >
                      <div>
                      <div class="row">
                        
                        <div class="input-field col m6 s12">
                          <label for="nom">Nom agence</label>
                            <br/>
                            <input type="text" name="nom" #name="ngModel" [(ngModel)]="agence.nom" >
                        </div>
                      </div>

                      <div class="row">
                        <div class="input-field col m6 s12">
                          <label for="adresse">Adresse Postale</label>
                          <br/>
                            <input type="text" name="adressepostale" #name="ngModel" [(ngModel)]="agence.adressepostale" >
                            
                        
                        </div>
                        <div class="input-field col m6 s12">
                          <label for="ville">Ville</label>
                          <br/>
                            <input type="text" name="ville" #name="ngModel" [(ngModel)]="agence.ville">
                            
                           
                        </div>
                      </div>
                      

                      <div class="row">
                        <div class="input-field col m6 s12">
                          <label for="tva">Numero TVA</label>
                          <br/>
                            <input type="text" name="tva" #name="ngModel" [(ngModel)]="agence.tva">
                            
                           
                        </div>
                        <div class="input-field col m6 s12">
                          <label for="compteboncaire">Compte Bancaire</label>
                          <br/>
                            <input type="text" name="compteboncaire" #name="ngModel" [(ngModel)]="agence.compteboncaire">
                           
                            
                        </div>
                        
                      </div>






                      <div class="row">
                        <div class="input-field col s12">
                          <button class="btn cyan waves-effect waves-light right" type="submit" name="action" >Ajouter
                            <i class="material-icons right">send</i>
                          </button>
                        </div>
                      </div>
                    </div>
                    </form>
                  </div>
                </div>
              </div>
<!--card stats end-->

<div class="col s12 m12 l12">
  <div id="Form-advance" class="card card card-default scrollspy">
    <div class="card-content" style="margin-right: 100px;margin-left: 100px;">
      <h4 class="card-title">Change Logo Agence</h4>
      <form enctype='multipart/form-data'>
        <div class="row">
          <div class="col s6 file-field input-field">
            <div class="btn cyan waves-effect waves-light right">
              <span>Image</span>
              <input type="file" (change)="onFileSelected($event)">
            </div>
            <div class="file-path-wrapper">
              <input class="file-path validate" type="text">
            </div>
          </div>
          <div class="input-field col m6 s12">
            <button class="btn cyan waves-effect waves-light right" (click)="onUpload()"  type="submit" name="action" >Submit
              <i class="material-icons right">send</i>
            </button>
          </div>
        </div>
  
        
        
  
        
  
      </form>
    </div>
  </div>
  </div>

<!--card stats end-->

<div class="col s12 m12 l12">
<div id="Form-advance" class="card card card-default scrollspy">
  <div class="card-content" style="margin-right: 100px;margin-left: 100px;"   >
    <h4 class="card-title">Change Mot de passe</h4>
    <form #fo="ngForm"  (ngSubmit)="updatePassword(fo.value)">
      <div class="row">
        <div class="input-field col m6 s12">
            <input type="password"  name="password" #name="ngModel" [(ngModel)]="agence.password">
            <label for="password">Password</label>
        </div>
        <div class="input-field col m6 s12">
            <input type="password"  name="p" #name="ngModel" [(ngModel)]="p">
            <label for="confirme">Confirme Password</label>
        </div>
      </div>

      <div class="row">
        <div class="input-field col s12">
          <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Submit
            <i class="material-icons right">send</i>
          </button>
        </div>
      </div>
      

      

    </form>
  </div>
</div>
</div>


<!--yearly & weekly revenue chart start-->

<!--yearly & weekly revenue chart end-->
